%global npm_name nan
%global enable_tests 1
%define debug_package %{nil}

Name:				nodejs-%{npm_name}
Version:			2.17.0
Release:			%mkrel 1
Summary:			Native Abstractions for Node
License:			MIT
Group:				Development/Other
URL:				https://github.com/nodejs/nan#readme
Source0:			https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tar.gz
BuildRequires:		nodejs-packaging
ExclusiveArch:		i586 x86_64 aarch64

%description
%{summary}

%prep
%setup -q -n %{npm_name}-%{version}

%nodejs_fixdep commander ">=2.15.0"
%nodejs_fixdep glob ">=7.1.2"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr doc %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr include_dirs.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_callbacks.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_callbacks_12_inl.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_callbacks_pre_12_inl.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_converters.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_converters_43_inl.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_converters_pre_43_inl.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_define_own_property_helper.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_implementation_12_inl.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_implementation_pre_12_inl.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_json.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_maybe_43_inl.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_maybe_pre_43_inl.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_new.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_object_wrap.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_persistent_12_inl.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_persistent_pre_12_inl.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_private.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_string_bytes.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_typedarray_contents.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr nan_weak.h %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tools %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE.md
%doc CHANGELOG.md
%doc README.md
